Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/121
Addresses128
/64 networksPart of one
Network
2c19:dd:ec00:c25:c25e:dd:ddca:cc80/121
First address
2c19:dd:ec00:c25:c25e:dd:ddca:cc80
Last address
2c19:dd:ec00:c25:c25e:dd:ddca:ccff
Addresses
128
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:ec00:0c25:c25e:00dd:ddca:cc80
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zones
8.c.c.a.c.d.d.d.d.0.0.e.5.2.c.5.2.c.0.0.0.c.e.d.d.0.0.9.1.c.2.ip6.arpa
9.c.c.a.c.d.d.d.d.0.0.e.5.2.c.5.2.c.0.0.0.c.e.d.d.0.0.9.1.c.2.ip6.arpa
a.c.c.a.c.d.d.d.d.0.0.e.5.2.c.5.2.c.0.0.0.c.e.d.d.0.0.9.1.c.2.ip6.arpa
b.c.c.a.c.d.d.d.d.0.0.e.5.2.c.5.2.c.0.0.0.c.e.d.d.0.0.9.1.c.2.ip6.arpa
c.c.c.a.c.d.d.d.d.0.0.e.5.2.c.5.2.c.0.0.0.c.e.d.d.0.0.9.1.c.2.ip6.arpa
d.c.c.a.c.d.d.d.d.0.0.e.5.2.c.5.2.c.0.0.0.c.e.d.d.0.0.9.1.c.2.ip6.arpa
e.c.c.a.c.d.d.d.d.0.0.e.5.2.c.5.2.c.0.0.0.c.e.d.d.0.0.9.1.c.2.ip6.arpa
f.c.c.a.c.d.d.d.d.0.0.e.5.2.c.5.2.c.0.0.0.c.e.d.d.0.0.9.1.c.2.ip6.arpa
/121 is not on a 4-bit boundary, so it takes 8 /124 zones.
Split into smaller subnets/128

2c19:dd:ec00:c25:c25e:dd:ddca:cc80/121 makes 128 subnets of /128.

Subnets
#SubnetLast address
12c19:dd:ec00:c25:c25e:dd:ddca:cc80/1282c19:dd:ec00:c25:c25e:dd:ddca:cc80
22c19:dd:ec00:c25:c25e:dd:ddca:cc81/1282c19:dd:ec00:c25:c25e:dd:ddca:cc81
32c19:dd:ec00:c25:c25e:dd:ddca:cc82/1282c19:dd:ec00:c25:c25e:dd:ddca:cc82
42c19:dd:ec00:c25:c25e:dd:ddca:cc83/1282c19:dd:ec00:c25:c25e:dd:ddca:cc83
52c19:dd:ec00:c25:c25e:dd:ddca:cc84/1282c19:dd:ec00:c25:c25e:dd:ddca:cc84
62c19:dd:ec00:c25:c25e:dd:ddca:cc85/1282c19:dd:ec00:c25:c25e:dd:ddca:cc85
72c19:dd:ec00:c25:c25e:dd:ddca:cc86/1282c19:dd:ec00:c25:c25e:dd:ddca:cc86
82c19:dd:ec00:c25:c25e:dd:ddca:cc87/1282c19:dd:ec00:c25:c25e:dd:ddca:cc87
92c19:dd:ec00:c25:c25e:dd:ddca:cc88/1282c19:dd:ec00:c25:c25e:dd:ddca:cc88
102c19:dd:ec00:c25:c25e:dd:ddca:cc89/1282c19:dd:ec00:c25:c25e:dd:ddca:cc89
112c19:dd:ec00:c25:c25e:dd:ddca:cc8a/1282c19:dd:ec00:c25:c25e:dd:ddca:cc8a
122c19:dd:ec00:c25:c25e:dd:ddca:cc8b/1282c19:dd:ec00:c25:c25e:dd:ddca:cc8b
132c19:dd:ec00:c25:c25e:dd:ddca:cc8c/1282c19:dd:ec00:c25:c25e:dd:ddca:cc8c
142c19:dd:ec00:c25:c25e:dd:ddca:cc8d/1282c19:dd:ec00:c25:c25e:dd:ddca:cc8d
152c19:dd:ec00:c25:c25e:dd:ddca:cc8e/1282c19:dd:ec00:c25:c25e:dd:ddca:cc8e
162c19:dd:ec00:c25:c25e:dd:ddca:cc8f/1282c19:dd:ec00:c25:c25e:dd:ddca:cc8f
172c19:dd:ec00:c25:c25e:dd:ddca:cc90/1282c19:dd:ec00:c25:c25e:dd:ddca:cc90
182c19:dd:ec00:c25:c25e:dd:ddca:cc91/1282c19:dd:ec00:c25:c25e:dd:ddca:cc91
192c19:dd:ec00:c25:c25e:dd:ddca:cc92/1282c19:dd:ec00:c25:c25e:dd:ddca:cc92
202c19:dd:ec00:c25:c25e:dd:ddca:cc93/1282c19:dd:ec00:c25:c25e:dd:ddca:cc93
212c19:dd:ec00:c25:c25e:dd:ddca:cc94/1282c19:dd:ec00:c25:c25e:dd:ddca:cc94
222c19:dd:ec00:c25:c25e:dd:ddca:cc95/1282c19:dd:ec00:c25:c25e:dd:ddca:cc95
232c19:dd:ec00:c25:c25e:dd:ddca:cc96/1282c19:dd:ec00:c25:c25e:dd:ddca:cc96
242c19:dd:ec00:c25:c25e:dd:ddca:cc97/1282c19:dd:ec00:c25:c25e:dd:ddca:cc97
252c19:dd:ec00:c25:c25e:dd:ddca:cc98/1282c19:dd:ec00:c25:c25e:dd:ddca:cc98
262c19:dd:ec00:c25:c25e:dd:ddca:cc99/1282c19:dd:ec00:c25:c25e:dd:ddca:cc99
272c19:dd:ec00:c25:c25e:dd:ddca:cc9a/1282c19:dd:ec00:c25:c25e:dd:ddca:cc9a
282c19:dd:ec00:c25:c25e:dd:ddca:cc9b/1282c19:dd:ec00:c25:c25e:dd:ddca:cc9b
292c19:dd:ec00:c25:c25e:dd:ddca:cc9c/1282c19:dd:ec00:c25:c25e:dd:ddca:cc9c
302c19:dd:ec00:c25:c25e:dd:ddca:cc9d/1282c19:dd:ec00:c25:c25e:dd:ddca:cc9d
312c19:dd:ec00:c25:c25e:dd:ddca:cc9e/1282c19:dd:ec00:c25:c25e:dd:ddca:cc9e
322c19:dd:ec00:c25:c25e:dd:ddca:cc9f/1282c19:dd:ec00:c25:c25e:dd:ddca:cc9f
332c19:dd:ec00:c25:c25e:dd:ddca:cca0/1282c19:dd:ec00:c25:c25e:dd:ddca:cca0
342c19:dd:ec00:c25:c25e:dd:ddca:cca1/1282c19:dd:ec00:c25:c25e:dd:ddca:cca1
352c19:dd:ec00:c25:c25e:dd:ddca:cca2/1282c19:dd:ec00:c25:c25e:dd:ddca:cca2
362c19:dd:ec00:c25:c25e:dd:ddca:cca3/1282c19:dd:ec00:c25:c25e:dd:ddca:cca3
372c19:dd:ec00:c25:c25e:dd:ddca:cca4/1282c19:dd:ec00:c25:c25e:dd:ddca:cca4
382c19:dd:ec00:c25:c25e:dd:ddca:cca5/1282c19:dd:ec00:c25:c25e:dd:ddca:cca5
392c19:dd:ec00:c25:c25e:dd:ddca:cca6/1282c19:dd:ec00:c25:c25e:dd:ddca:cca6
402c19:dd:ec00:c25:c25e:dd:ddca:cca7/1282c19:dd:ec00:c25:c25e:dd:ddca:cca7
412c19:dd:ec00:c25:c25e:dd:ddca:cca8/1282c19:dd:ec00:c25:c25e:dd:ddca:cca8
422c19:dd:ec00:c25:c25e:dd:ddca:cca9/1282c19:dd:ec00:c25:c25e:dd:ddca:cca9
432c19:dd:ec00:c25:c25e:dd:ddca:ccaa/1282c19:dd:ec00:c25:c25e:dd:ddca:ccaa
442c19:dd:ec00:c25:c25e:dd:ddca:ccab/1282c19:dd:ec00:c25:c25e:dd:ddca:ccab
452c19:dd:ec00:c25:c25e:dd:ddca:ccac/1282c19:dd:ec00:c25:c25e:dd:ddca:ccac
462c19:dd:ec00:c25:c25e:dd:ddca:ccad/1282c19:dd:ec00:c25:c25e:dd:ddca:ccad
472c19:dd:ec00:c25:c25e:dd:ddca:ccae/1282c19:dd:ec00:c25:c25e:dd:ddca:ccae
482c19:dd:ec00:c25:c25e:dd:ddca:ccaf/1282c19:dd:ec00:c25:c25e:dd:ddca:ccaf
492c19:dd:ec00:c25:c25e:dd:ddca:ccb0/1282c19:dd:ec00:c25:c25e:dd:ddca:ccb0
502c19:dd:ec00:c25:c25e:dd:ddca:ccb1/1282c19:dd:ec00:c25:c25e:dd:ddca:ccb1
512c19:dd:ec00:c25:c25e:dd:ddca:ccb2/1282c19:dd:ec00:c25:c25e:dd:ddca:ccb2
522c19:dd:ec00:c25:c25e:dd:ddca:ccb3/1282c19:dd:ec00:c25:c25e:dd:ddca:ccb3
532c19:dd:ec00:c25:c25e:dd:ddca:ccb4/1282c19:dd:ec00:c25:c25e:dd:ddca:ccb4
542c19:dd:ec00:c25:c25e:dd:ddca:ccb5/1282c19:dd:ec00:c25:c25e:dd:ddca:ccb5
552c19:dd:ec00:c25:c25e:dd:ddca:ccb6/1282c19:dd:ec00:c25:c25e:dd:ddca:ccb6
562c19:dd:ec00:c25:c25e:dd:ddca:ccb7/1282c19:dd:ec00:c25:c25e:dd:ddca:ccb7
572c19:dd:ec00:c25:c25e:dd:ddca:ccb8/1282c19:dd:ec00:c25:c25e:dd:ddca:ccb8
582c19:dd:ec00:c25:c25e:dd:ddca:ccb9/1282c19:dd:ec00:c25:c25e:dd:ddca:ccb9
592c19:dd:ec00:c25:c25e:dd:ddca:ccba/1282c19:dd:ec00:c25:c25e:dd:ddca:ccba
602c19:dd:ec00:c25:c25e:dd:ddca:ccbb/1282c19:dd:ec00:c25:c25e:dd:ddca:ccbb
612c19:dd:ec00:c25:c25e:dd:ddca:ccbc/1282c19:dd:ec00:c25:c25e:dd:ddca:ccbc
622c19:dd:ec00:c25:c25e:dd:ddca:ccbd/1282c19:dd:ec00:c25:c25e:dd:ddca:ccbd
632c19:dd:ec00:c25:c25e:dd:ddca:ccbe/1282c19:dd:ec00:c25:c25e:dd:ddca:ccbe
642c19:dd:ec00:c25:c25e:dd:ddca:ccbf/1282c19:dd:ec00:c25:c25e:dd:ddca:ccbf
652c19:dd:ec00:c25:c25e:dd:ddca:ccc0/1282c19:dd:ec00:c25:c25e:dd:ddca:ccc0
662c19:dd:ec00:c25:c25e:dd:ddca:ccc1/1282c19:dd:ec00:c25:c25e:dd:ddca:ccc1
672c19:dd:ec00:c25:c25e:dd:ddca:ccc2/1282c19:dd:ec00:c25:c25e:dd:ddca:ccc2
682c19:dd:ec00:c25:c25e:dd:ddca:ccc3/1282c19:dd:ec00:c25:c25e:dd:ddca:ccc3
692c19:dd:ec00:c25:c25e:dd:ddca:ccc4/1282c19:dd:ec00:c25:c25e:dd:ddca:ccc4
702c19:dd:ec00:c25:c25e:dd:ddca:ccc5/1282c19:dd:ec00:c25:c25e:dd:ddca:ccc5
712c19:dd:ec00:c25:c25e:dd:ddca:ccc6/1282c19:dd:ec00:c25:c25e:dd:ddca:ccc6
722c19:dd:ec00:c25:c25e:dd:ddca:ccc7/1282c19:dd:ec00:c25:c25e:dd:ddca:ccc7
732c19:dd:ec00:c25:c25e:dd:ddca:ccc8/1282c19:dd:ec00:c25:c25e:dd:ddca:ccc8
742c19:dd:ec00:c25:c25e:dd:ddca:ccc9/1282c19:dd:ec00:c25:c25e:dd:ddca:ccc9
752c19:dd:ec00:c25:c25e:dd:ddca:ccca/1282c19:dd:ec00:c25:c25e:dd:ddca:ccca
762c19:dd:ec00:c25:c25e:dd:ddca:cccb/1282c19:dd:ec00:c25:c25e:dd:ddca:cccb
772c19:dd:ec00:c25:c25e:dd:ddca:cccc/1282c19:dd:ec00:c25:c25e:dd:ddca:cccc
782c19:dd:ec00:c25:c25e:dd:ddca:cccd/1282c19:dd:ec00:c25:c25e:dd:ddca:cccd
792c19:dd:ec00:c25:c25e:dd:ddca:ccce/1282c19:dd:ec00:c25:c25e:dd:ddca:ccce
802c19:dd:ec00:c25:c25e:dd:ddca:cccf/1282c19:dd:ec00:c25:c25e:dd:ddca:cccf
812c19:dd:ec00:c25:c25e:dd:ddca:ccd0/1282c19:dd:ec00:c25:c25e:dd:ddca:ccd0
822c19:dd:ec00:c25:c25e:dd:ddca:ccd1/1282c19:dd:ec00:c25:c25e:dd:ddca:ccd1
832c19:dd:ec00:c25:c25e:dd:ddca:ccd2/1282c19:dd:ec00:c25:c25e:dd:ddca:ccd2
842c19:dd:ec00:c25:c25e:dd:ddca:ccd3/1282c19:dd:ec00:c25:c25e:dd:ddca:ccd3
852c19:dd:ec00:c25:c25e:dd:ddca:ccd4/1282c19:dd:ec00:c25:c25e:dd:ddca:ccd4
862c19:dd:ec00:c25:c25e:dd:ddca:ccd5/1282c19:dd:ec00:c25:c25e:dd:ddca:ccd5
872c19:dd:ec00:c25:c25e:dd:ddca:ccd6/1282c19:dd:ec00:c25:c25e:dd:ddca:ccd6
882c19:dd:ec00:c25:c25e:dd:ddca:ccd7/1282c19:dd:ec00:c25:c25e:dd:ddca:ccd7
892c19:dd:ec00:c25:c25e:dd:ddca:ccd8/1282c19:dd:ec00:c25:c25e:dd:ddca:ccd8
902c19:dd:ec00:c25:c25e:dd:ddca:ccd9/1282c19:dd:ec00:c25:c25e:dd:ddca:ccd9
912c19:dd:ec00:c25:c25e:dd:ddca:ccda/1282c19:dd:ec00:c25:c25e:dd:ddca:ccda
922c19:dd:ec00:c25:c25e:dd:ddca:ccdb/1282c19:dd:ec00:c25:c25e:dd:ddca:ccdb
932c19:dd:ec00:c25:c25e:dd:ddca:ccdc/1282c19:dd:ec00:c25:c25e:dd:ddca:ccdc
942c19:dd:ec00:c25:c25e:dd:ddca:ccdd/1282c19:dd:ec00:c25:c25e:dd:ddca:ccdd
952c19:dd:ec00:c25:c25e:dd:ddca:ccde/1282c19:dd:ec00:c25:c25e:dd:ddca:ccde
962c19:dd:ec00:c25:c25e:dd:ddca:ccdf/1282c19:dd:ec00:c25:c25e:dd:ddca:ccdf
972c19:dd:ec00:c25:c25e:dd:ddca:cce0/1282c19:dd:ec00:c25:c25e:dd:ddca:cce0
982c19:dd:ec00:c25:c25e:dd:ddca:cce1/1282c19:dd:ec00:c25:c25e:dd:ddca:cce1
992c19:dd:ec00:c25:c25e:dd:ddca:cce2/1282c19:dd:ec00:c25:c25e:dd:ddca:cce2
1002c19:dd:ec00:c25:c25e:dd:ddca:cce3/1282c19:dd:ec00:c25:c25e:dd:ddca:cce3
1012c19:dd:ec00:c25:c25e:dd:ddca:cce4/1282c19:dd:ec00:c25:c25e:dd:ddca:cce4
1022c19:dd:ec00:c25:c25e:dd:ddca:cce5/1282c19:dd:ec00:c25:c25e:dd:ddca:cce5
1032c19:dd:ec00:c25:c25e:dd:ddca:cce6/1282c19:dd:ec00:c25:c25e:dd:ddca:cce6
1042c19:dd:ec00:c25:c25e:dd:ddca:cce7/1282c19:dd:ec00:c25:c25e:dd:ddca:cce7
1052c19:dd:ec00:c25:c25e:dd:ddca:cce8/1282c19:dd:ec00:c25:c25e:dd:ddca:cce8
1062c19:dd:ec00:c25:c25e:dd:ddca:cce9/1282c19:dd:ec00:c25:c25e:dd:ddca:cce9
1072c19:dd:ec00:c25:c25e:dd:ddca:ccea/1282c19:dd:ec00:c25:c25e:dd:ddca:ccea
1082c19:dd:ec00:c25:c25e:dd:ddca:cceb/1282c19:dd:ec00:c25:c25e:dd:ddca:cceb
1092c19:dd:ec00:c25:c25e:dd:ddca:ccec/1282c19:dd:ec00:c25:c25e:dd:ddca:ccec
1102c19:dd:ec00:c25:c25e:dd:ddca:cced/1282c19:dd:ec00:c25:c25e:dd:ddca:cced
1112c19:dd:ec00:c25:c25e:dd:ddca:ccee/1282c19:dd:ec00:c25:c25e:dd:ddca:ccee
1122c19:dd:ec00:c25:c25e:dd:ddca:ccef/1282c19:dd:ec00:c25:c25e:dd:ddca:ccef
1132c19:dd:ec00:c25:c25e:dd:ddca:ccf0/1282c19:dd:ec00:c25:c25e:dd:ddca:ccf0
1142c19:dd:ec00:c25:c25e:dd:ddca:ccf1/1282c19:dd:ec00:c25:c25e:dd:ddca:ccf1
1152c19:dd:ec00:c25:c25e:dd:ddca:ccf2/1282c19:dd:ec00:c25:c25e:dd:ddca:ccf2
1162c19:dd:ec00:c25:c25e:dd:ddca:ccf3/1282c19:dd:ec00:c25:c25e:dd:ddca:ccf3
1172c19:dd:ec00:c25:c25e:dd:ddca:ccf4/1282c19:dd:ec00:c25:c25e:dd:ddca:ccf4
1182c19:dd:ec00:c25:c25e:dd:ddca:ccf5/1282c19:dd:ec00:c25:c25e:dd:ddca:ccf5
1192c19:dd:ec00:c25:c25e:dd:ddca:ccf6/1282c19:dd:ec00:c25:c25e:dd:ddca:ccf6
1202c19:dd:ec00:c25:c25e:dd:ddca:ccf7/1282c19:dd:ec00:c25:c25e:dd:ddca:ccf7
1212c19:dd:ec00:c25:c25e:dd:ddca:ccf8/1282c19:dd:ec00:c25:c25e:dd:ddca:ccf8
1222c19:dd:ec00:c25:c25e:dd:ddca:ccf9/1282c19:dd:ec00:c25:c25e:dd:ddca:ccf9
1232c19:dd:ec00:c25:c25e:dd:ddca:ccfa/1282c19:dd:ec00:c25:c25e:dd:ddca:ccfa
1242c19:dd:ec00:c25:c25e:dd:ddca:ccfb/1282c19:dd:ec00:c25:c25e:dd:ddca:ccfb
1252c19:dd:ec00:c25:c25e:dd:ddca:ccfc/1282c19:dd:ec00:c25:c25e:dd:ddca:ccfc
1262c19:dd:ec00:c25:c25e:dd:ddca:ccfd/1282c19:dd:ec00:c25:c25e:dd:ddca:ccfd
1272c19:dd:ec00:c25:c25e:dd:ddca:ccfe/1282c19:dd:ec00:c25:c25e:dd:ddca:ccfe
1282c19:dd:ec00:c25:c25e:dd:ddca:ccff/1282c19:dd:ec00:c25:c25e:dd:ddca:ccff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses